## envyng-gtk 1.1.1ubuntu1

=== Makefile ===
DOMAIN=envyng-gtk

PO_FILES=$(wildcard po/*.po)
DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))

all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)

clean:
	rm -rf po/mo/
	rm -f po/$(DOMAIN).pot
	rm -f $(DESKTOP_FILES)

#
# i18n for po/*
#

# update the pot
po/$(DOMAIN).pot:
	cd po; intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES) po/$(DOMAIN.pot)
	cd po; intltool-update -r -g $(DOMAIN)

# create mo from po files
%.mo : %.po
	mkdir -p $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/ 
	msgfmt $< -o $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(PO_FILES))

#
# i18n for *.desktop files
#

%.desktop : %.desktop.in
	intltool-merge -d po/ $< $@

.PHONY: all clean build-mo merge-po

=== debian/changelog ===
envyng-gtk (1.1.1ubuntu1) hardy; urgency=low

  * New connection detection method
  * GTK filechooser points to /home by default

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 04 Apr 2008 16:27:44 +0200

envyng-gtk (1.1.0ubuntu8) hardy; urgency=low

  * Update artwork
  * the About button is aligned with the apply and quit buttons
  * added set_translator_credits to the GUI

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 29 Mar 2008 14:58:12 +0100

envyng-gtk (1.1.0ubuntu7) hardy; urgency=low

  * no longer conflicts with envyng-qt
  * moved .desktop file 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 25 Mar 2008 15:39:07 +0100

envyng-gtk (1.1.0ubuntu6) hardy; urgency=low

  * Intial support for localisation

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Mon, 24 Mar 2008 16:44:44 +0100

envyng-gtk (1.1.0ubuntu5) hardy; urgency=low

  * Applied Michael Vogt's patch
  * Removed connectionCheck from the interface

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 23 Mar 2008 12:53:57 +0100

envyng-gtk (1.1.0ubuntu4) hardy; urgency=low

  * Change string for the "build" checkbox
  * Fixed packaging scripts

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 06 Mar 2008 15:04:46 +0100

envyng-gtk (1.1.0ubuntu3) hardy; urgency=low

  * "build" works properly now
  * do not edit xorg.conf if build=1
  * fixed complete dialog
  * main window is centered

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 04 Mar 2008 11:40:21 +0100

envyng-gtk (1.1.0ubuntu2) hardy; urgency=low

  * Fix VTE child process
  * Fix broken dialog names

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 02 Mar 2008 16:27:16 +0100

envyng-gtk (1.1.0ubuntu1) hardy; urgency=low

  * add conflicts with envyng-qt
  * depends on envyng-core

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 02 Mar 2008 14:37:59 +0100

envyng-gtk (1.1.0) hardy; urgency=low

  * First release

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 01 Mar 2008 10:41:59 +0100

=== debian/control ===
Source: envyng-gtk
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.7.3
XS-Python-Version: all

Package: envyng-gtk
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: envy
Depends: ${python:Depends}, python-gtk2, python-glade2, python-vte, gksu, envyng-core (>= 1.1.0)
Description: install the ATI or the NVIDIA driver
 EnvyNG is an application written in Python which will download the
 latest ATI or NVIDIA driver or the Legacy driver (for older cards)
 (according to the model of your card) from ATI or Nvidia's website
 and set it up for you handling dependencies (compilers, OpenGL, 
 etc.) which are required in order to build and use the driver.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/envyng-gtk ::
#	install -m0644 -D envyui/envy16.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/16x16/apps/envy.gif
#	install -m0644 -D envyui/envy22.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/22x22/apps/envy.gif
#	install -m0644 -D envyui/envyicon.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/32x32/apps/envy.gif
	mkdir -p debian/$(cdbs_curpkg)/usr/share/applications/
	ln -s /usr/share/envy/applications/envyng.desktop \
		debian/$(cdbs_curpkg)/usr/share/applications/envyng-gtk.desktop

binary-install/envyng-gtk ::
#	dh_icons -p$(cdbs_curpkg)

## envyng-gtk 1.1.1ubuntu3

=== debian/changelog ===
envyng-gtk (1.1.1ubuntu3) intrepid; urgency=low

  * Restore build dependencies 

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 09 Oct 2008 12:14:23 +0200

envyng-gtk (1.1.1ubuntu2) intrepid; urgency=low

  * Make it a transitional package to the textual ui since the GTK
    ui is not ready (LP: #277126).
  * Update Standards-Version to 3.8.0

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 04 Oct 2008 12:51:12 +0200

=== debian/control ===
Source: envyng-gtk
Section: oldlibs
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38)
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.0

Package: envyng-gtk
Architecture: all
Depends: envyng-core (>= 2.0.1)
Description: dummy package to envyng-core
 This is a dummy package to ease transition to the textual UI of since
 the GTK UI has been temporarily disabled. Users can either use the 
 textual UI of EnvyNG (by opening a terminal and and typing "envyng -t")
 or install the KDE UI (by installing the "envyng-qt" package).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

install/envyng-gtk ::

binary-install/envyng-gtk ::
